%define pkg_name        XML-Filter-BufferText
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 4.n0i.8

Summary:       Filter to put all characters() in one event
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RB/RBERJON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(XML::SAX) >= 0.04
BuildRequires: perl(XML::SAX::Base) >= 1.03
%endif


%description
This is a very simple filter. One common cause of grief (and programmer error)
is that XML parsers aren't required to provide character events in one chunk.
They can, but are not forced to, and most don't. This filter does the trivial
but oft-repeated task of putting all characters into a single event.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-4.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.01-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.01-2.n0i.6
- automatic rebuild (perl 5.8.6)

* Thu Dec 02 2004 Marius Feraru <altblue@n0i.net> 0:1.01-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:1.01-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:1.01-0.n0i.1
- version 1.01
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
